## org.apache.mahout.math.function
Interface ObjectObjectProcedure<K,V>

    public interface ObjectObjectProcedure<K,V>

Interface that represents a procedure object: a procedure that takes two arguments and returns a 'continue' flag.

Method Summary
`boolean` `apply(K key, V value)` Applies a procedure to an argument.

Method Detail

### apply

    boolean apply(K key,
                  V value)

  Applies a procedure to an argument. Optionally can return a boolean flag to inform the object calling the procedure.

  Example: forEach() methods often use procedure objects. To signal to a forEach() method whether iteration should continue normally or terminate (because for example a matching element has been found), a procedure can return `false` to indicate termination and `true` to indicate continuation.

  Parameters:
    `key` - key value passed to the procedure
    `value` - value value passed to the procedure.
  Returns:
    a flag to inform the object calling the procedure.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.